Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
export.php File Reference

Go to the source code of this file.

## Variables
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )
| $t
| $ArticleID = 590
| $article = new eZArticle( )
| $doc =& $t->parse( "output", "article_view_tex_tpl" )
| $outputFile = "ezarticle/cache/article.tex"
| $fp = eZPBFile::fopen( $outputFile, "w+")

## Variable Documentation

## ◆ $article

$article = new eZArticle( )

Definition at line 50 of file export.php.

## ◆ $ArticleID

$ArticleID = 590

Definition at line 48 of file export.php.

Referenced by eZArticle\addForm(), eZArticleForm\articleHasForm(), eZArticle\articleIDFromForum(), deleteCache(), eZArticleTool\deleteCache(), eZArticle\deleteForms(), eZArticle\forms(), getArticle(), printForm(), and eZArticleForm\store().

## ◆ $doc

$doc =& $t->parse( "output", "article_view_tex_tpl" )

Definition at line 93 of file export.php.

Referenced by eZTSTranslator\loadTranslationFile(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZRDFImporter\news(), and eZRSSImporter\news().

## ◆ $fp

$fp = eZPBFile::fopen( $outputFile, "w+")

Definition at line 97 of file export.php.

Referenced by eZPBINIFile\__construct(), eZSysinfo\chostname(), createPollMenu(), createSmallArticleList(), eZFile\downloadContent(), fetchURLInfo(), eZDir\isWriteable(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZRDFImporter\news(), eZRSSImporter\news(), parse(), ezpbKernelWeb\run(), save_data(), and eZXMLRPCClient\send().

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 37 of file export.php.

## ◆ $outputFile

$outputFile = "ezarticle/cache/article.tex"

Definition at line 95 of file export.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $TemplateDir,
"kernel/ezarticle/user/intl/", $Language, "articleview.php" )
eZTemplate
Definition: eztemplate.php:107
$TemplateDir
$TemplateDir
Definition: export.php:38
$Language
$Language
Definition: export.php:37

Definition at line 40 of file export.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )

Definition at line 38 of file export.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.